## kdesvn 2.0.0

=== CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####
project(kdesvn)
set(PACKAGENAME "${CMAKE_PROJECT_NAME}")
cmake_minimum_required(VERSION 3.1.0)
if(POLICY CMP0063)
  CMAKE_POLICY(SET CMP0063 NEW) # Honor visibility properties for all target types.
endif()

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW) # Honor visibility properties for all target types (since cmake 3.3)
endif()

# Where to look for Findxxx.cmake modules
find_package(ECM 5.10.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/src/svnqt/cmake)
# Automatically include the current source and binary dirs
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED 11)
add_definitions(-DTRANSLATION_DOMAIN="kdesvn")

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)

find_package(KF5 REQUIRED COMPONENTS
    Bookmarks Config ConfigWidgets CoreAddons
    DBusAddons DocTools I18n IconThemes ItemViews
    JobWidgets KIO Notifications Parts Service
    TextEditor Wallet WidgetsAddons
)
find_package(Qt5 REQUIRED COMPONENTS
    Core DBus Gui Sql Widgets
)

# Set the version
set(KDESVN_VERSION_MAJOR 2)
set(KDESVN_VERSION_MINOR 0)
set(KDESVN_VERSION_PATCH 0)
set(KDESVN_VERSION_STRING ${KDESVN_VERSION_MAJOR}.${KDESVN_VERSION_MINOR}.${KDESVN_VERSION_PATCH})

# Append the git revision if available
# If Git is installed and a '.git' directory is found,
# we append the Git revision to KDESVN_VERSION_STRING
if(EXISTS "${kdesvn_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    message(STATUS "Found git: ${GIT_EXECUTABLE}")
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                    WORKING_DIRECTORY ${kdesvn_SOURCE_DIR}
                    OUTPUT_VARIABLE kdesvn_git_revision
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    set(KDESVN_VERSION_STRING "${KDESVN_VERSION_STRING} (rev: ${kdesvn_git_revision})")
  endif()
endif()

option(TESTINGBUILD "Enable/Disable special testing flags" OFF)
if(TESTINGBUILD)
    add_definitions(-DTESTING_RC=\"\\\"${CMAKE_SOURCE_DIR}/src/kdesvnui.rc\\\"\" -DTESTING_PARTRC=\"\\\"${CMAKE_SOURCE_DIR}/src/kdesvn_part.rc\\\"\")
    add_definitions(-DFORCE_ASKPASS=\"\\\"${CMAKE_BINARY_DIR}/bin/kdesvnaskpass\\\"\")
    add_definitions(-DEXTRA_KDE_LIBPATH=\"\\\"${PROJECT_BINARY_DIR}/lib\\\"\")
    add_definitions(-DDEBUG_TIMER=1)
endif()

add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_TO_ASCII)
# not (yet) possible
#add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_RESTRICTED_CAST_FROM_ASCII)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_DEPRECATED_WARNINGS)
# not possible with Qt 5.5
#add_definitions(-DQT_NO_DEPRECATED)
add_definitions(-DQT_STRICT_ITERATORS)

# include(MacroEnsureVersion)
include(FindSubversion)
include(kdesvn-macros)

# Enable exceptions
kde_enable_exceptions()

# hide deprecated warnings, for now
# TODO remove this ↓
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

include_directories(
    ${CMAKE_BINARY_DIR}
    ${APR_INCLUDE_DIR}
    ${APU_INCLUDE_DIR}
    ${SUBVERSION_INCLUDE_DIR}
)

add_definitions(${APR_CPP_FLAGS})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)

add_subdirectory(src)
add_subdirectory(doc)

configure_file(kdesvn-config.h.in kdesvn-config.h @ONLY)
configure_file(Doxyfile.in Doxyfile @ONLY)
configure_file(Doxyfile.svnqt.in Doxyfile.svnqt @ONLY)

set(DIST_EXCLUDE "Helperstuff/pic_design")

set(MESSAGES_DIR ${CMAKE_SOURCE_DIR}/src)

add_custom_target(apidox
    "doxygen" "${CMAKE_BINARY_DIR}/Doxyfile"
    DEPENDS "${CMAKE_BINARY_DIR}/Doxyfile")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/CMakeLists.txt ===
add_subdirectory(nl)
add_subdirectory(uk)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(en)

=== src/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

add_executable(kdesvnaskpass askpass/kdesvn-askpass.cpp)

ki18n_wrap_ui(kdesvn_ui
    urldlg.ui
)
set(kdesvnsrc
    commandline.cpp
    kdesvn.cpp
    main.cpp
    urldlg.cpp
)

set(partsrc
    commandline_part.cpp
    kdesvn_part.cpp
    kdesvnview.cpp
)

set(partsrc ${partsrc} kdesvn_part.h kdesvnview.h commandline_part.h)
set(kdesvnsrc ${kdesvnsrc} ${kdesvn_ui} kdesvn.h urldlg.h commandline.h)

add_subdirectory(svnqt)
add_subdirectory(ksvnwidgets)
add_subdirectory(settings)
add_subdirectory(svnfrontend)
add_subdirectory(helpers)
add_subdirectory(kdesvnd)
add_subdirectory(kiosvn)
add_subdirectory(pics)
add_subdirectory(icons)

add_executable(kdesvn ${kdesvnsrc})
add_library(kdesvnpart MODULE ${partsrc})

target_link_libraries(kdesvnpart
    svnfrontend
    kdesvnhelpers
    ksvnwidgets
    settingsdlgs
    kdesvncfgreader
    svnbackground
    svnqt
)

set_target_properties(kdesvnpart
    PROPERTIES
    LINK_FLAGS "${APR_EXTRA_LDFLAGS} ${APU_EXTRA_LDFLAGS} ${LINK_NO_UNDEFINED}")

target_link_libraries(kdesvnaskpass
    KF5::CoreAddons
    KF5::I18n
    KF5::WidgetsAddons
    KF5::Wallet
)
target_link_libraries(kdesvn
    KF5::Parts
    KF5::Bookmarks
    kdesvnhelpers
)

install(TARGETS kdesvn kdesvnaskpass kdesvnpart
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})

# the resources
install(FILES kdesvnui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdesvn)
install(FILES kdesvn_part.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdesvn)
install(FILES org.kde.kdesvn.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES kdesvnpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kdesvn.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdesvn)

=== doc/de/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de
                          SUBDIR kdesvn)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR kdesvn)

=== doc/nl/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl
                          SUBDIR kdesvn)

=== doc/pt_BR/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR
                          SUBDIR kdesvn)

=== doc/sv/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv
                          SUBDIR kdesvn)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk
                          SUBDIR kdesvn)

=== src/kdesvnd/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

file(GLOB hdr RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.h")

set(kded_kdesvnd_src
    kdesvnd.cpp
    kdesvnd_listener.cpp
    ksvnjobview.cpp
    ${hdr}
   )

qt5_add_dbus_adaptor( kded_kdesvnd_src org.kde.kdesvnd.xml kdesvnd.h kdesvnd)

kcoreaddons_add_plugin(kded_kdesvnd INSTALL_NAMESPACE "kf5/kded" JSON ${CMAKE_CURRENT_SOURCE_DIR}/kdesvnd.desktop SOURCES ${kded_kdesvnd_src})
kcoreaddons_desktop_to_json(kded_kdesvnd ${CMAKE_CURRENT_SOURCE_DIR}/kdesvnd.desktop)
set_target_properties(kded_kdesvnd PROPERTIES
    OUTPUT_NAME kdesvnd
)

target_link_libraries(kded_kdesvnd
    ksvnwidgets
    kdesvnhelpers
    kdesvncfgreader
    svnqt
    Qt5::DBus
    KF5::DBusAddons
    KF5::Notifications
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/kdesvn_subversion.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/kdesvn_subversion_toplevel.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)

install(FILES org.kde.kdesvnd.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} RENAME kf5_org.kde.kdesvnd.xml)

configure_file(org.kde.kdesvnd.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdesvnd.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdesvnd.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

=== src/ksvnwidgets/CMakeLists.txt ===
 ####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

ki18n_wrap_ui(kdesvn_shared_ui
    authdlg.ui
    commitmessage.ui
    deleteform.ui
    depthselector.ui
    encodingselector.ui
    revertform.ui
    ssltrustprompt.ui
)

set(ksvnwidgetsrc
    authdialogimpl.cpp
    authdialogwidget.cpp
    commitmsg_impl.cpp
    deleteform.cpp
    depthselector.cpp
    diffbrowser.cpp
    diffsyntax.cpp
    encodingselector_impl.cpp
    ksvndialog.cpp
    models/commitmodel.cpp
    models/commitmodelhelper.cpp
    pwstorage.cpp
    revertform.cpp
    ssltrustprompt.cpp
    )

set(ksvnwidgethdr
    authdialogimpl.h
    authdialogwidget.h
    commitmsg_impl.h
    deleteform.h
    depthselector.h
    diffbrowser.h
    diffsyntax.h
    encodingselector_impl.h
    ksvndialog.h
    models/commitmodel.h
    models/commitmodelhelper.h
    pwstorage.h
    revertform.h
    ssltrustprompt.h
)

qt5_add_dbus_interfaces(ksvnwidgetsrc ${KJOBWIDGETS_DBUS_INTERFACES_DIR}/kf5_org.kde.JobViewServer.xml)
qt5_add_dbus_interfaces(ksvnwidgetsrc ${KJOBWIDGETS_DBUS_INTERFACES_DIR}/kf5_org.kde.JobView.xml)

add_library(ksvnwidgets STATIC ${kdesvn_shared_ui} ${ksvnwidgetsrc} ${ksvnwidgethdr})
target_include_directories(ksvnwidgets
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/../
        ${CMAKE_CURRENT_BINARY_DIR}/../
)
target_link_libraries(ksvnwidgets
    PRIVATE
        kdesvnhelpers
        kdesvncfgreader
        KF5::Wallet
    PUBLIC
        svnqt
        Qt5::Widgets
        KF5::TextEditor
)

=== src/svnqt/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

option(OVERRIDE_SVN_API_VERSION "Override the current API version (e.g. to compile against 1.6 api when 1.8 is installed)" OFF)
if(OVERRIDE_SVN_API_VERSION)
  set(OVERRIDE_SVN_API_VERSION_STR 0x10600 CACHE STRING "svn api version to use, hex format, two digits per major/minor/patch")
endif()

set(SOURCES
    annotate_line.cpp
    apr.cpp
    cache/DatabaseException.cpp
    cache/LogCache.cpp
    cache/ReposConfig.cpp
    cache/ReposLog.cpp
    client_annotate.cpp
    client_annotate_parameter.cpp
    client_cat.cpp
    client_commit_parameter.cpp
    client.cpp
    client_diff.cpp
    client_impl.cpp
    client_lock.cpp
    client_ls.cpp
    client_merge.cpp
    client_modify.cpp
    client_parameter.cpp
    client_property.cpp
    client_status.cpp
    client_update_parameter.cpp
    commititem.cpp
    conflictdescription.cpp
    conflictresult.cpp
    context.cpp
    contextdata.cpp
    datetime.cpp
    diff_data.cpp
    diffoptions.cpp
    dirent.cpp
    entry.cpp
    exception.cpp
    info_entry.cpp
    lock_entry.cpp
    log_entry.cpp
    path.cpp
    pool.cpp
    repository.cpp
    repositorydata.cpp
    repositorylistener.cpp
    reposnotify.cpp
    revision.cpp
    status.cpp
    stringarray.cpp
    svnfilestream.cpp
    svnstream.cpp
    targets.cpp
    url.cpp
    version_check.cpp
    )


configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/svnqt_defines.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/svnqt_defines.h"
    IMMEDIATE
    @ONLY)

add_library(svnqt STATIC ${SOURCES})
if(WIN32)
    target_compile_definitions(svnqt PUBLIC _USE_32BIT_TIME_T)
endif()
if(OVERRIDE_SVN_API_VERSION)
    target_compile_definitions(svnqt PUBLIC OVERRIDE_SVN_API_VERSION=${OVERRIDE_SVN_API_VERSION_STR})
endif()

set(ALL_LINKFLAGS ${APR_EXTRA_LDFLAGS})
set(ALL_LINKFLAGS "${ALL_LINKFLAGS} ${APU_EXTRA_LDFLAGS}")

if(WIN32 OR APPLE)
    set_property(TARGET svnqt APPEND PROPERTY LINK_FLAGS "${ALL_LINKFLAGS} ${LINK_NO_UNDEFINED}")
else()
    set_property(TARGET svnqt APPEND PROPERTY LINK_FLAGS "-Wl,--as-needed ${ALL_LINKFLAGS} ${LINK_NO_UNDEFINED}")
endif()

target_link_libraries(svnqt
    PUBLIC
        ${SUBVERSION_ALL_LIBS}
        KF5::ConfigCore
        Qt5::Core
        Qt5::Sql
)
target_include_directories(svnqt
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/../
        ${CMAKE_CURRENT_BINARY_DIR}/../
)
set_property(TARGET svnqt APPEND PROPERTY COMPILE_FLAGS ${APR_CPP_FLAGS})
set_property(TARGET svnqt PROPERTY CXX_VISIBILITY_PRESET hidden)

if(WIN32)
    target_link_libraries(svnqt wsock32.lib)
endif()

# Just a small linking test
if(KDE4_BUILD_TESTS)
    add_executable(testlink testmain.cpp)
    target_link_libraries(testlink svnqt)
endif()

if(KDE4_BUILD_TESTS)
  add_subdirectory(tests)
  add_subdirectory(cache/test)
endif()

=== debian/changelog ===
kdesvn (2.0.0-4) unstable; urgency=medium

  * Team upload.
  * Remove myself from Uploaders.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Dec 2017 22:28:37 +0100

kdesvn (2.0.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Cherrypick upstream commit fixing broken startup from .desktop file.
    (Closes: #858072)

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Mar 2017 01:15:09 +0100

kdesvn (2.0.0-2) unstable; urgency=medium

  * Drop Build-Depends on libssl-dev, no longer needed. (Closes: #855339)

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Feb 2017 00:00:05 +0100

kdesvn (2.0.0-1) unstable; urgency=medium

  * New major upstream release based on Qt 5 and KDE Frameworks 5 (KF5).
  * Update Build-Depends and .install files for the switch to Qt5/KF5.
  * Bump to debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Make sure the man pages are built and installed.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Dec 2016 00:59:19 +0100

kdesvn (1.7.0-2) unstable; urgency=medium

  * Update Homepage: field.
  * Drop kdesvn-dbg package now that we have automatic dbgsym packages.
  * Drop dh_makeshlibs override, no longer necessary now that libsvnqt is
    gone.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Mar 2016 18:12:21 +0100

kdesvn (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - the KIO slaves should respect all the attributes specified
      (Closes: #431839, #729417)
    - fixes crash when getting logs (Closes: #753984)
    - the build system does not provide a buggy "uninstall" target anymore
      (Closes: #800098)
  * Update watch file to the new location.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Fix "konqueror" typo in descriptions. (Closes: #613994)
  * Enable parallel build.
  * Disable the test suite: one of the test fails, and a different one requires
    network access. The status of the test suite will be re-evaluated later.
  * kdesvn uses QtSql+QSLITE as database, so drop the libsqlite3-dev build
    dependency, and add libqt4-sql-sqlite as dependency for kdesvn.
  * There is no more public libsvnqt shared library, so drop the libsvnqt7 and
    libsvnqt-dev packages.
  * Update install files.
  * Bump the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9
  * Update Vcs-* fields.
  * Fix enabling the kde dh addon: use "--with kde" instead of "--with-kde",
    which also avoids the current dh_compress override (since this is what the
    kde addon does).
  * Bump Standards-Version to 3.9.7, no changes required.
  * Remove duplicated Section fields for the kdesvn and kdesvn-kio-plugins
    packages.
  * Bump build dependencies according to the upstream build system:
    - bump cmake to >= 2.8.12
    - bump kdelibs5-dev to >= 4:4.9.0
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Feb 2016 23:20:54 +0100

kdesvn (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 15:10:58 +0200

=== debian/control ===
Source: kdesvn
Section: vcs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.10.0),
               gettext,
               libkf5bookmarks-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5parts-dev (>= 5.25.0),
               libkf5service-dev,
               libkf5texteditor-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libsvn-dev (>= 1.6.0),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kdesvn/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kdesvn/trunk/
Homepage: https://projects.kde.org/projects/extragear/sdk/kdesvn

Package: kdesvn
Architecture: any
Depends: kdesvn-kio-plugins (= ${binary:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: graphviz, kompare
Suggests: kdiff3, khelpcenter
Description: Subversion client with tight KDE integration
 KDESvn is a graphical client for the Subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into KDE and can be embedded into other KDE
 applications like Konqueror via the KDE component technology KParts.

Package: kdesvn-kio-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: kdesdk-kio-plugins (>= 4:4.0.0)
Replaces: kdesdk-kio-plugins (>= 4:4.0.0)
Description: Subversion I/O slaves for KDE
 This package includes KIO slaves for svn, svn+file, svn+http,
 svn+https, svn+ssh. This allows you to access Subversion repositories
 inside any KIO enabled KDE application.
 .
 This package is part of kdesvn.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='kdesvn-dbg (<< 1.7.0-2~)'

# not passing, requiring network
.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/kdesvn/([\d.]+)/kdesvn-([\d.]+).tar.xz

## kdesvn 2.1.0

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kdesvn)
kdoctools_create_manpage(man-kdesvn.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
kdoctools_create_manpage(man-kdesvnaskpass.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,11 @@
  #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
  ####
 
+include(ECMMarkNonGuiExecutable)
+include(ECMAddAppIcon)
+
 add_executable(kdesvnaskpass askpass/kdesvn-askpass.cpp)
+ecm_mark_nongui_executable(kdesvnaskpass)
 
 ki18n_wrap_ui(kdesvn_ui
     urldlg.ui
@@ -29,6 +33,23 @@
     main.cpp
     urldlg.cpp
 )
+
+# Sets the icon on Windows and OSX
+find_program(KSVG2ICNS NAMES ksvg2icns)
+if(APPLE AND KSVG2ICNS)
+    execute_process(COMMAND ${KSVG2ICNS} "${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kdesvn.svgz"
+         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} RESULT_VARIABLE KSVG2ICNS_ERROR)
+    if(${KSVG2ICNS_ERROR})
+        message(SEND_ERROR "Could not generate OS X application icon")
+    else()
+        set(MACOSX_BUNDLE_ICON_FILE sc-apps-kdesvn.icns)
+        set(kdesvnsrc "${kdesvnsrc};${CMAKE_CURRENT_BINARY_DIR}/sc-apps-kdesvn.icns")
+        set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/sc-apps-kdesvn.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
+    endif()
+else()
+    file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kdesvn.png")
+    ecm_add_app_icon(kdesvnsrc ICONS ${ICONS_SRCS})
+endif()
 
 set(partsrc
     commandline_part.cpp
@@ -79,12 +100,13 @@
 )
 
 install(TARGETS kdesvn kdesvnaskpass kdesvnpart
-    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+    ${INSTALL_TARGETS_DEFAULT_ARGS}
     LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})
 
 # the resources
 install(FILES kdesvnui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdesvn)
 install(FILES kdesvn_part.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdesvn)
-install(FILES org.kde.kdesvn.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+install(FILES org.kde.kdesvn.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+install(FILES org.kde.kdesvn.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES kdesvnpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
 install(FILES kdesvn.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdesvn)

=== src/helpers/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

set(helperssrc
    kdesvn_debug.cpp
    kdesvn_debug.h
    ktranslateurl.cpp
    ktranslateurl.h
    sshagent.cpp
    sshagent.h
    stringhelper.h
    windowgeometryhelper.cpp
    windowgeometryhelper.h
)

add_library(kdesvnhelpers STATIC ${helperssrc} ${hdr})
target_include_directories(kdesvnhelpers
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/../
)
target_link_libraries(kdesvnhelpers
    PRIVATE
        kdesvncfgreader
        KF5::CoreAddons
        Qt5::Widgets
    PUBLIC
        svnqt
)

=== src/kiosvn/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

set(kiosvn_src
    kiosvn.cpp
    kiolistener.cpp
    kiobytestream.cpp
    ../ksvnwidgets/pwstorage.cpp
)
set(kiosvn_hdr
    kio_macros.h
    kiosvn.h
    kiolistener.h
    kiobytestream.h
    ../ksvnwidgets/pwstorage.h
)
qt5_add_dbus_interfaces( kiosvn_src ../kdesvnd/org.kde.kdesvnd.xml )

add_library(kio_ksvn MODULE ${kiosvn_src} ${kiosvn_hdr})

target_link_libraries(kio_ksvn
    svnqt
    kdesvnhelpers
    kdesvncfgreader
    Qt5::DBus
    Qt5::Widgets
    KF5::I18n
    KF5::KIOCore
    KF5::Wallet
)
set_target_properties(kio_ksvn
    PROPERTIES
    LINK_FLAG "${LINK_NO_UNDEFINED}")

install(TARGETS kio_ksvn
    LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR} )

file(GLOB PROTFILES *.protocol)

install(FILES ${PROTFILES}
    DESTINATION  ${SERVICES_INSTALL_DIR} )

=== src/ksvnwidgets/CMakeLists.txt ===
--- 
+++ 
@@ -79,5 +79,11 @@
     PUBLIC
         svnqt
         Qt5::Widgets
-        KF5::TextEditor
+        KF5::Completion
+        KF5::ConfigWidgets
+        KF5::I18n
+        KF5::KIOWidgets
+        KF5::Parts
+        KF5::TextWidgets
+        KF5::XmlGui
 )

=== src/settings/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

kconfig_add_kcfg_files(cfgsrc
    kdesvnsettings.kcfgc)
add_library(kdesvncfgreader STATIC ${cfgsrc})
target_link_libraries(kdesvncfgreader
    KF5::ConfigGui
)

ki18n_wrap_ui(settings_ui_sources
    cmdexecsettings.ui
    diffmergesettings.ui
    dispcolor_settings.ui
    display_settings.ui
    polling_settings.ui
    revisiontree_settings.ui
    subversion_settings.ui
)

set(settings_sources
    cmdexecsettings_impl.cpp
    diffmergesettings_impl.cpp
    dispcolorsettings_impl.cpp
    displaysettings_impl.cpp
    polling_settings_impl.cpp
    revisiontreesettingsdlg_impl.cpp
    subversionsettings_impl.cpp
    )

file(GLOB hdr RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.h")

add_library(settingsdlgs STATIC ${settings_ui_sources} ${settings_sources} ${hdr})
target_link_libraries(settingsdlgs
    PRIVATE
        kdesvncfgreader
    PUBLIC
        KF5::WidgetsAddons
        KF5::Completion
        KF5::I18n
)
target_include_directories(settingsdlgs
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/../
        ${CMAKE_CURRENT_BINARY_DIR}/../
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/kdesvn_part.kcfg DESTINATION ${KCFG_INSTALL_DIR})

install(
    FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/kdesvnpartrc-use-external.upd
    DESTINATION
    ${DATA_INSTALL_DIR}/kconf_update
)

install(
    FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/kdesvn-use-external-update.sh
    DESTINATION
    ${DATA_INSTALL_DIR}/kconf_update
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ
)

=== src/svnfrontend/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

include_directories(${CMAKE_SOURCE_DIR}/src/svnfrontend/fronthelpers
                    ${CMAKE_SOURCE_DIR}/src/svnfrontend/background)

set(svnfrontendsrc
    EditIgnorePattern.cpp
    EditIgnorePattern.h
    blamedisplay.cpp
    ccontextlistener.cpp
    commandexec.cpp
    copymoveview_impl.cpp
    createrepodlg.cpp
    database/dboverview.cpp
    database/dboverview.h
    database/dbsettings.cpp
    database/dbsettings.h
    dummydisplay.cpp
    dumprepo_impl.cpp
    editpropsdlg.cpp
    fronthelpers/checkoutinfo_impl.cpp
    fronthelpers/checkoutinfo_impl.h
    fronthelpers/cursorstack.h
    fronthelpers/fronthelpers.h
    fronthelpers/kmultilinedelegate.cpp
    fronthelpers/kmultilinedelegate.h
    fronthelpers/propertyitem.cpp
    fronthelpers/propertyitem.h
    fronthelpers/propertylist.cpp
    fronthelpers/propertylist.h
    fronthelpers/rangeinput_impl.cpp
    fronthelpers/rangeinput_impl.h
    fronthelpers/revisionbuttonimpl.cpp
    fronthelpers/revisionbuttonimpl.h
    fronthelpers/watchedprocess.cpp
    fronthelpers/watchedprocess.h
    fronthelpers/widgetblockstack.cpp
    fronthelpers/widgetblockstack.h
    graphtree/drawparams.cpp
    graphtree/drawparams.h
    graphtree/elogentry.cpp
    graphtree/elogentry.h
    graphtree/graphtreelabel.cpp
    graphtree/graphtreelabel.h
    graphtree/pannerview.cpp
    graphtree/pannerview.h
    graphtree/revgraphview.cpp
    graphtree/revgraphview.h
    graphtree/revisiontree.cpp
    graphtree/revisiontree.h
    graphtree/revtreewidget.cpp
    graphtree/revtreewidget.h
    hotcopydlg_impl.cpp
    importdir_logmsg.cpp
    itemdisplay.cpp
    loaddmpdlg_impl.cpp
    maintreewidget.cpp
    maintreewidget.h
    mergedlg_impl.cpp
    models/logitemmodel.cpp
    models/logitemmodel.h
    models/logmodelhelper.cpp
    models/logmodelhelper.h
    models/svndirsortfilter.cpp
    models/svndirsortfilter.h
    models/svnitemmodel.cpp
    models/svnitemmodel.h
    models/svnitemmodelfwd.h
    models/svnitemnode.cpp
    models/svnitemnode.h
    models/svnsortfilter.cpp
    models/svnsortfilter.h
    opencontextmenu.cpp
    propertiesdlg.cpp
    stopdlg.cpp
    svnactions.cpp
    svnitem.cpp
    svnlogdlgimp.cpp
    svntreeview.cpp
    svntreeview.h
    )

set(svnfrontendui
    blamedisplay.ui
    copymoveview.ui
    createrepodlg.ui
    database/dboverview.ui
    database/dbsettings.ui
    dumprepo_dlg.ui
    editignorepattern.ui
    editpropsdlg.ui
    fronthelpers/checkoutinfo.ui
    fronthelpers/rangeinput.ui
    fronthelpers/revisionbutton.ui
    hotcopydlg.ui
    loaddmpdlg.ui
    merge_dlg.ui
    propertiesdlg.ui
    svnlogdlg.ui
    treeWidget.ui
    )

file(GLOB hdr RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.h")

ki18n_wrap_ui(frontend_ui_sources ${svnfrontendui})


add_subdirectory(background)

add_library(svnfrontend STATIC ${svnfrontendsrc} ${frontend_ui_sources} ${hdr})

target_link_libraries(svnfrontend
    PRIVATE
        KF5::IconThemes
    PUBLIC
        KF5::ItemViews
        KF5::JobWidgets
        KF5::Service
        ksvnwidgets
        svnqt
)
target_include_directories(svnfrontend
    PUBLIC
        ${CMAKE_CURRENT_BINARY_DIR}
)

=== src/svnqt/cache/test/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/testconfig.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/testconfig.h
)
build_test(sqlite)

=== debian/changelog ===
kdesvn (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default
      behaviour now
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Stop shipping TODO as documentation, as it is not useful for users.
  * Add the configuration for the CI on salsa.
  * Remove the empty dh_auto_test override, as there are no tests.
  * Switch the watch file to version 4, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update lintian overrides.
  * Backport upstream commit f80abcaa59535bb4fa730621d994ed89af4d9e92 to fix
    the order of <release> tags in the AppStream XML file; patch
    upstream_appstream-sort-releases-from-newer-to-older.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Oct 2021 09:19:43 +0200

kdesvn (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - 0001-Make-sure-the-man-pages-are-built-and-installed.patch: drop, no
      more needed now (translations are built properly)
    - 0002-Fix-startup-s-caption-qwindowtitle.patch: drop, backported from
      upstream
    - upstream_Fix-compilation-with-Qt-5.11-missing-include.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - add libkf5codecs-dev, libkf5completion-dev, libkf5jobwidgets-dev,
      libkf5textwidgets-dev, and libkf5xmlgui-dev
    - remove libkf5texteditor-dev
    - bump qtbase5-dev to >= 5.9.0
  * Update install files.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from kdesvn-dbg, no more needed after two Debian
    stable releases.

 -- Pino Toscano <pino@debian.org>  Mon, 22 Jul 2019 06:52:21 +0200

kdesvn (2.0.0-5) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Backport upstream commit f4ec3ee6da0efeea7a62a6ea3a892ac4bb374182 to fix
    build with Qt >= 5.11; patch
    upstream_Fix-compilation-with-Qt-5.11-missing-include.patch.
    (Closes: #907229)
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces, and newlines at the end in changelog.
  * Switch from dh_install --list-missing to dh_missing --fail-missing.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 14:08:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.10.0),
                gettext,
                libkf5bookmarks-dev,
+               libkf5codecs-dev,
+               libkf5completion-dev,
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
@@ -15,19 +17,22 @@
                libkf5i18n-dev,
                libkf5iconthemes-dev,
                libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
                libkf5kio-dev,
                libkf5notifications-dev,
                libkf5parts-dev (>= 5.25.0),
                libkf5service-dev,
-               libkf5texteditor-dev,
+               libkf5textwidgets-dev,
                libkf5wallet-dev,
                libkf5widgetsaddons-dev,
+               libkf5xmlgui-dev,
                libsvn-dev (>= 1.6.0),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kdesvn/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kdesvn/trunk/
+               qtbase5-dev (>= 5.9.0),
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdesvn.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdesvn
 Homepage: https://projects.kde.org/projects/extragear/sdk/kdesvn
 
 Package: kdesvn

=== debian/watch ===
version=4
https://download.kde.org/stable/kdesvn/([\d.]+)/kdesvn-([\d.]+)\.tar\.xz
